# output "instance_ip" {
#   value = google_compute_instance.main.network_interface[0].access_config[0].nat_ip
# }

output "vpc" {
  value = google_compute_network.vpc_terraform.id
}

# output "vpc_id" {
#   description = "ID of project VPC"
#   value       = module.vpc.vpc_id
# }

output "subnets" {
    value = {
        frontend = google_compute_subnetwork.subnet_frontend.id
        backend = google_compute_subnetwork.subnet_backend.id
        database = google_compute_subnetwork.subnet_database.id
    }
}